import { EpsgCode } from '@basemaps/geo';
import { Component, ReactNode } from 'react';
import { LayerInfo } from '../config.map.js';
export interface HeaderState {
    isMenuOpen: boolean;
    layers?: Map<string, LayerInfo>;
}
export declare class Header extends Component<unknown, HeaderState> {
    _events: (() => boolean)[];
    constructor(p: unknown);
    componentDidMount(): void;
    componentWillUnmount(): void;
    menuToggle: () => void;
    render(): ReactNode;
    contactUs: () => void;
    renderAboutLi(text: string, href: string, icon?: ReactNode): ReactNode;
    renderAbout(): ReactNode;
    renderGithubLogo(): ReactNode;
    renderLinks(): ReactNode;
    /** Projections to show WMTS links for */
    _validProjections: Set<EpsgCode>;
    validProjections(): Set<EpsgCode>;
    renderLinksTiles(): ReactNode;
}
